import QtQuick 2.2
import QtQuick.Controls 1.0
import QtQuick.Layouts 1.0
import QtQuick.Controls.Styles 1.0
import MasterCatalogModel 1.0
import OperationCatalogModel 1.0
import OperationModel 1.0
import ApplicationFormExpressionParser 1.0
import "../../../workbench" as Bench
import "../../../Global.js" as Global

Item {
    width: 440
    height: saveButtonEnabled ? parent.height - 60 : parent.height - 30
    anchors.top: title.bottom
    anchors.topMargin: 3

    property alias formTitle : appFrame.formTitle
    property alias formQML : appFrame.formQML
    property var formResult : appFrame.currentAppForm ? appFrame.currentAppForm.formResult : null
    property alias currentAppForm : appFrame.currentAppForm

    function doExecute(operationid){
        appFrame.doExecute(operationid)
    }

    ScrollView{
        id: operationFormScrollView
        anchors.fill: parent

        Bench.ApplicationForm{
            id : appFrame
            width : operationFormScrollView.width - 20
            height : operationForm.height - 25 < 0 ?  0 : operationForm.height - 25
            opacity : 0
            showTitle: false

        }
    }
    Button {
        id : saveConstantInputButton
        height : saveButtonEnabled ? 25 : 0
        width : 70
        x: Math.min(350, operationFormScrollView.width - 60)
        anchors.top: operationFormScrollView.bottom
        Row {
            anchors.fill: parent
            anchors.leftMargin: 4
            spacing : 4
            visible: saveButtonEnabled
        Image {
            anchors.verticalCenter: parent.verticalCenter
            source : iconsource("apply20.png")
        }
        Text {
            height : parent.height
            id : saveConstantInputText
            text: saveButtonEnabled ? 'Apply' : ""
            y : 5
        }
        }

        onClicked: {
            asignConstantInputData()
        }
    }
}
